Landed
Public APIChangelog
GET
/api/v1/changelog/releases

Authorization

publishableKey
AuthorizationBearer <token>

Workspace publishable key (wk_pub_...). You can also send X-Landed-Widget-Key instead of Authorization.

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
cursor?string

Pagination cursor from a previous response's pagination.nextCursor.

sort?string
Default"publishedAt"

Value in

  • "publishedAt"
  • "createdAt"
  • "updatedAt"
order?string
Default"desc"

Value in

  • "asc"
  • "desc"
version?string

Filter to an exact version string.

publishedAfter?string

Include releases published after this ISO-8601 timestamp.

Formatdate-time
publishedBefore?string

Include releases published before this ISO-8601 timestamp.

Formatdate-time

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/changelog/releases"
{  "data": [    {      "id": "string",      "title": "string",      "version": "string",      "publishedAt": "2019-08-24T14:15:22Z",      "mainImageUrl": "http://example.com",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "hasMore": true,    "nextCursor": "string"  }}
{  "error": "string"}